Summary: Samba SMB server.
Name: samba
Version: 2.2.12
Release: 2tr
License: GPL
Group: Network/Services
Source: ftp://ftp.samba.org/pub/samba/samba-%{version}.tar.gz
Source1: samba.log
Source2: smb.conf
Source3: smb.init
Source4: winbind.init
Patch1: smbw.patch
Patch4: samba-nsl.patch
Patch5: samba-2.0.5a-gawk.patch
Patch6: samba-smbprint.patch
Patch7: samba-CVE-2004-0815-reduce_name.patch
Patch8: samba-2.2.12-CAN-2004-1154.patch
Requires: pam >= 0.64, samba-common = %{version}, cups-libs
BuildRoot: /var/tmp/%{name}-root
Prereq: mktemp, psmisc, tsl-utils, coreutils, sed
BuildRequires: cups-devel, pam-devel

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba-2 features an almost working NT Domain Control capability and
includes the new SWAT (Samba Web Administration Tool) that allows
samba's smb.conf file to be remotely managed using your favourite web
browser. For the time being this is being enabled on TCP port 901 via
inetd.

Please refer to the WHATSNEW.txt document for fixup information.  This
binary release includes encrypted password support.  Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%package client
Summary: Samba (SMB) client programs.
Group: Network/Clients
Requires: samba-common = %{version}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB clients to complement the
built-in SMB filesystem in Linux. These clients allow access of SMB
shares and printing to SMB printers.

%package common
Summary: Files used by both Samba servers and clients.
Group: Network/Utilities

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%prep
%setup -q -n samba-%{version}
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#%patch7 -p0
%patch8 -p1

%build
cd source
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
  --localstatedir=/var/log/samba \
  --with-winbind-auth-challenge \
  --with-configdir=/etc/samba \
  --with-privatedir=/etc/samba \
  --with-codepagedir=/etc/samba/codepages \
  --with-lockdir=/var/cache/samba \
  --with-piddir=/var/run \
  --with-swatdir=/usr/share/swat \
  --mandir='${prefix}/share/man' \
  --with-smbmount \
  --with-automount \
  --with-pam \
  --with-ssl \
  --with-sslinc=/usr/include/openssl \
  --with-mmap \
  --with-quotas \
  --with-readline \
  --with-netatalk \
  --with-winbind \
  --enable-cups \
  --with-vfs \
  %{_target_platform}
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -I/usr/include/openssl" all wins

# make recycle.so
pushd ../examples/VFS
chmod +x ./configure
CFLAGS=$RPM_OPT_FLAGS ./configure
make
popd 

%install
rm -rf $RPM_BUILD_ROOT

cd source

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,logrotate.d,samba/codepages}
mkdir -p $RPM_BUILD_ROOT/var/{log,spool,lib,cache}/samba
mkdir -p $RPM_BUILD_ROOT/usr/share/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/usr/lib/samba

make \
       BINDIR=$RPM_BUILD_ROOT%{_bindir} \
       BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
       SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
       LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
       PIDDIR=$RPM_BUILD_ROOT/var/run \
       PRIVATEDIR=$RPM_BUILD_ROOT/etc/samba \
       LIBDIR=$RPM_BUILD_ROOT/etc/samba \
       CONFIGDIR=$RPM_BUILD_ROOT/etc/samba \
       CODEPAGEDIR=$RPM_BUILD_ROOT/etc/samba/codepages \
       MANDIR=$RPM_BUILD_ROOT%{_mandir} \
       VARDIR=$RPM_BUILD_ROOT/var/log/samba \
       SWATDIR=$RPM_BUILD_ROOT/usr/share/swat \
       SAMBABOOK=$RPM_BUILD_ROOT/usr/share/swat/using_samba \
       install

cd - 

# Install other stuff
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT/usr/bin
install -m644 packaging/RedHat/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
for i in smbpasswd smbpasswd.tdb; do
  touch $RPM_BUILD_ROOT/etc/samba/$i
  chmod 600 $RPM_BUILD_ROOT/etc/samba/$i
done
install -m755 packaging/RedHat/smbprint $RPM_BUILD_ROOT%{_bindir}
#install -m755 packaging/RedHat/findsmb $RPM_BUILD_ROOT%{_bindir}
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/smb
install -m644 packaging/RedHat/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/samba
ln -s ../%{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
ln -s ../%{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts
mkdir -p $RPM_BUILD_ROOT/home/samba/netlogon
mkdir -p $RPM_BUILD_ROOT/lib/security

# remove this or it ends up in %doc
rm -rf docs/htmldocs/using_samba

# Install some ghosts
touch $RPM_BUILD_ROOT/var/cache/samba/browse.dat
touch $RPM_BUILD_ROOT/var/cache/samba/wins.dat

touch $RPM_BUILD_ROOT/var/cache/samba/brlock.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/connections.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/locking.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/messages.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntdrivers.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntforms.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntprinters.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/printing.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/sessionid.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/share_info.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/unexpected.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/winbindd_cache.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/winbindd_idmap.tdb

# Install the winbind init script
install -m755 %{SOURCE4} $RPM_BUILD_ROOT%{_initdir}/winbind
# Install the nsswitch library extenstion files
install -m755 source/nsswitch/libnss_winbind.so \
		$RPM_BUILD_ROOT/lib/
install -m755 source/nsswitch/libnss_wins.so \
		$RPM_BUILD_ROOT/lib/
pushd $RPM_BUILD_ROOT/lib
  ln -s libnss_winbind.so libnss_winbind.so.2
popd

# PAM Authentication file
install -m755 source/nsswitch/pam_winbind.so \
		$RPM_BUILD_ROOT/lib/security/

# installing recycle bin
install -m755 examples/VFS/recycle/recycle.so $RPM_BUILD_ROOT/usr/lib/samba

# to prevent that garbage goes to /usr/share/doc/samba
pushd examples/VFS
make clean
popd

%pre
service smb stop 2>/dev/null >/dev/null || :
service winbind stop 2>/dev/null >/dev/null || :
# We have moved a lot from /etc to /etc/samba. Cleaning up the mess
mkdir -p /etc/samba
for file in smbusers smbpasswd; do
  if [ -f /etc/$file ]; then
    # Use cp so the old file is still there.
    cp -af /etc/$file /etc/samba/$file.tsl-saved-%{version}-%{release}
  fi
done
# Ok, we may have a lot of *.tdb files we need to preserve
mkdir -p /var/cache/samba
pushd /var/run &> /dev/null
   if [ "`echo *.tdb`" != "*.tdb" ]; then
     for i in *.tdb; do
       if [ ! -f /var/cache/samba/$i ]; then
         mv $i /var/cache/samba/$i
       fi
     done
   fi
popd &> /dev/null

%pre common
mkdir -p /etc/samba/codepages
for file in smb.conf lmhosts; do
  if [ -f /etc/$file ]; then
    # Use cp so the old file is still there.
    cp -af /etc/$file /etc/samba/$file.tsl-saved-%{version}-%{release}
  fi
done
cp -a /etc/codepages/* /etc/samba/codepages/ 2>/dev/null || :

%post
# We have moved a lot from /etc to /etc/samba. Cleaning up the mess
for file in smbusers smbpasswd; do
  if [ -f /etc/samba/$file.tsl-saved-%{version}-%{release} -a ! -f /etc/samba/$file ]; then
    # Use cp so the old file is still there.
    mv /etc/samba/$file /etc/samba/$file.rpmnew
    mv -f /etc/samba/$file.tsl-saved-%{version}-%{release} /etc/samba/$file
  fi
done
# Restart services after upgrade.
/sbin/chkconfig --add smb
/sbin/restart_maybe smb
/sbin/chkconfig --add winbind
/sbin/restart_maybe winbind

%post common
# We have moved a lot from /etc to /etc/samba. Cleaning up the mess
for file in smb.conf lmhosts; do
  if [ -f /etc/samba/$file.tsl-saved-%{version}-%{release} -a ! -f /etc/samba/$file ]; then
    # Use cp so the old file is still there.
    mv /etc/samba/$file /etc/samba/$file.rpmnew
    mv -f /etc/samba/$file.tsl-saved-%{version}-%{release} /etc/samba/$file
  fi
done

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING Manifest Read-Manifest-Now
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples
/lib/libnss_*
/lib/security/
/usr/sbin/smbd
%{_mandir}/man8/smbd.8*
/usr/sbin/nmbd
%{_mandir}/man8/nmbd.8*
/usr/sbin/swat
%{_mandir}/man8/swat.8*
/usr/sbin/winbindd
%{_mandir}/man8/winbindd.8*
/usr/bin/wbinfo
%{_mandir}/man1/wbinfo.1*
/usr/bin/tdbbackup
/usr/bin/smbcontrol
%{_mandir}/man1/smbcontrol.1*
/usr/bin/mksmbpasswd.sh
/usr/bin/smbstatus
%{_mandir}/man1/smbstatus.1*
/usr/bin/smbpasswd
%{_mandir}/man8/smbpasswd.8*
/usr/bin/smbspool
%{_mandir}/man8/smbspool.8*
/usr/share/swat
%config(noreplace) /etc/samba/smbusers
%attr(0600,root,root) %config(noreplace) %verify(not mtime size md5) /etc/samba/smbpasswd
%attr(0600,root,root) %config(noreplace) %verify(not mtime size md5) /etc/samba/smbpasswd.tdb
%{_mandir}/man5/smbpasswd.5*
%attr(0755,root,root) %{_initdir}/smb
%attr(0755,root,root) %{_initdir}/winbind
%config(noreplace) /etc/logrotate.d/samba
%config(noreplace) /etc/pam.d/samba

%dir /home/samba
%dir /home/samba/netlogon
%attr(0700,root,root)   %dir /var/log/samba
%attr(0755,root,root)   %dir /var/cache/samba
%attr(1777,root,root)	%dir /var/spool/samba

%config(noreplace) /var/cache/samba/browse.dat
%config(noreplace) /var/cache/samba/wins.dat

%config(noreplace) /var/cache/samba/brlock.tdb
%config(noreplace) /var/cache/samba/connections.tdb
%config(noreplace) /var/cache/samba/locking.tdb
%config(noreplace) /var/cache/samba/messages.tdb
%config(noreplace) /var/cache/samba/ntdrivers.tdb
%config(noreplace) /var/cache/samba/ntforms.tdb
%config(noreplace) /var/cache/samba/ntprinters.tdb
%config(noreplace) /var/cache/samba/printing.tdb
%config(noreplace) /var/cache/samba/sessionid.tdb
%config(noreplace) /var/cache/samba/share_info.tdb
%config(noreplace) /var/cache/samba/unexpected.tdb
%config(noreplace) /var/cache/samba/winbindd_cache.tdb
%config(noreplace) /var/cache/samba/winbindd_idmap.tdb

# recycle bin
%attr(0755,root,root)   %dir /usr/lib/samba
/usr/lib/samba/recycle.so

%files client
%defattr(-,root,root)
/sbin/mount.smb
/sbin/mount.smbfs
/usr/bin/smbmount
%{_mandir}/man8/smbmount.8*
/usr/bin/smbmnt
%{_mandir}/man8/smbmnt.8*
/usr/bin/smbumount
%{_mandir}/man8/smbumount.8*
/usr/bin/nmblookup
%{_mandir}/man1/nmblookup.1*
/usr/bin/findsmb
%{_mandir}/man1/findsmb.1*
/usr/bin/rpcclient
%{_mandir}/man1/rpcclient.1*
/usr/bin/smbclient
%{_mandir}/man1/smbclient.1*
/usr/bin/smbcacls
%{_mandir}/man1/smbcacls.1*
/usr/bin/smbprint
/usr/bin/smbtar
%{_mandir}/man1/smbtar.1*

%files common
%defattr(-,root,root)
/usr/bin/make_smbcodepage
%{_mandir}/man1/make_smbcodepage.1*
/usr/bin/make_unicodemap
%{_mandir}/man1/make_unicodemap.1*
/usr/bin/testparm
%{_mandir}/man1/testparm.1*
/usr/bin/testprns
%{_mandir}/man1/testprns.1*
/usr/bin/make_printerdef
%config(noreplace) /etc/samba/smb.conf
%{_mandir}/man5/smb.conf.5*
%config(noreplace) /etc/samba/lmhosts
%{_mandir}/man5/lmhosts.5*
%dir /etc/samba/codepages
%config /etc/samba/codepages/*
%{_mandir}/man7/samba.7*

%changelog
* Mon Dec 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.12-2tr
- Fix CAN-2004-1154

* Fri Oct  1 2004 Oystein Viggen <oysteivi at trustix dot com> 2.2.12-1tr
- New upstream that fixes the issue patched yesterday

* Thu Sep 30 2004 Oystein Viggen <oysteivi at trustix dot com> 2.2.11-2tr
- Patch CVE-2004-0815 (file access outside share)

* Mon Aug 24 2004 Oystein Viggen <oysteivi at trustix dot com> 2.2.11-1tr
- New upstream

* Mon Jul 26 2004 Oystein Viggen <oysteivi at trustix dot com> 2.2.10-1tr
- New upstream

* Thu May 13 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.9-1tr
- New upstream which adresses a problem with change of user passwords
  after MS updates.

* Tue Jan  6 2004 Chr. Toldnes <christht at trustix dot org> 2.2.8-13tr
- Added missing buildreq on pam-devel
- Added building of libnss_wins.so

* Fri Oct 31 2003 Chr. Toldnes <christht at trustix dot org> 2.2.8-12tr
- backport

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.2.8-11tsl
- port to tawie

* Wed Sep  3 2003 Chr. Toldnes <christht at trustix dot com> 2.2.8-10tr
- Added --with-winbind-auth-challenge option on request

* Wed Jul  2 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-9tr
- Home directories again.

* Wed Jun 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-8tr
- Restricted home directories
- Added sample public_html section.

* Tue Jun 24 2003 Gerald Dachs <gda at trustix dot org> 2.2.8-7tr
- enabled --with-vfs, allows to use a recycle bin
- added recycle.so

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-6tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-5em
- fileutils -> coreutils.

* Thu Apr 10 2003 Gerald Dachs <gda at trustix dot org> 2.2.8-4gd
- forced cups support

* Tue Apr  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-3em
- Added 2.2.8a patch that fixes the buffer overflow discovered by
  Defense Digital.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-1em
- Upgrade to 2.2.8 to fix security bugs.
- Add check to pre and post.

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 2.2.7-3gd
- recompiled against openssl 0.9.7-1gd

* Fri Jan 17 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.7-2ct
- We now use /mnt/lockdev as default INITLOCK

* Mon Dec  2 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.7-1ct
- new upstream version: 2.2.7
- Fixed typo in smb.init (RETAVL)
- winbind.init and smb.init now uses $INITLOCK
- Removed some initscript patches.
- exit 1 if no initscript functions file is found.
- The initscripts are not config files. No %config(noreplace)

* Tue Nov 19 2002 Gerald Dachs <gda at trustix dot org> 2.2.6-4gd
- Replaced /etc/init.d against the define initdir
- Changed the invocation of functions in smb.init accordingly to winbind.init

* Thu Nov 14 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.6-3tr
- Fixed wrong chkconfig line in winbind initscript.
- Initscripts now in separate sources.

* Fri Nov  8 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.6-2tr
- New upstrem version 2.2.6.

* Fri Nov  8 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.6-1tr
- Bug.  Don't use.

* Thu Oct  4 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.5-4ct
- Moved smb and winbind initscript to correct location for TSL 2.0
- Patched smb initscript (Patch 8)

* Tue Aug 13 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.5-3tr
- Now even create /var/cache/samba with correct permissions to make
  browsing work.

* Fri Jul 12 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.5-2tr
- Removed ugly stuff frpm %post and %postun that messed with inetd.conf

* Thu Jun 24 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.5-1tr
- New upstrem version 2.2.5.

* Thu Jun  6 2002 Erlend Midttun <erlendbm at trustix dot com>
- Now even create /var/cache/samba in advance.

* Tue May  7 2002 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 2.2.4 and added more winbind stuff.

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- Now we actually check if /etc/inetd.conf exist before messing with it...

* Fri Feb  8 2002 Christian H. Toldnes <christht at trustix dot com>
- removed restart_maybe inet

* Fri Feb  8 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: 2.2.3a
- Added config(noreplace) for db-files.

* Wed Jan  9 2002 Christian H. Toldnes <christht at trustix dot com>
- More work on the winbind feature.
- included winbind init-script and correct chkconfig handling.

* Tue Jan  8 2002 Erlend Midttun <erlendbm at trustix dot com>
- Second attempt at getting winbindd in.

* Wed Jan  2 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version.
- Fix pidfile location bug.
- Minor spec-file rewrite.

* Fri Jul 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fix overwriting of config files.

* Fri Jul 13 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Wed Jun 27 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.2.0a to fix security hole.  Hole not exploitable by default
  configuration, but none the less.

* Fri Jun 22 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fix a small bug in the %pre section.
- Fixed typo now allowing for netatalk.
- Added SSL support.

* Thu Jun  7 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Wed Apr 18 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0.8 to fix mktemp() local security hole.

* Tue Nov 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Cleanup.

* Tue May 2 2000 Per Ivar Paulsen <perp at trustix dot com>
- update to 2.0.7

* Mon Feb 11 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sat Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

